package cn.gygxzc.envir.config.shiro.utils;

import cn.gygxzc.envir.sys.model.SysUser;

import org.apache.shiro.SecurityUtils;
import org.apache.shiro.subject.Subject;

/**
 * shiro 工具类
 *
 * @author ruoyi
 */
public class ShiroUtils {

    public static Subject getSubjct() {
        return SecurityUtils.getSubject();
    }

    public static void logout() {
        getSubjct().logout();
    }

    public static SysUser getUser() {
        return (SysUser) getSubjct().getPrincipal();
    }

    public static Long getUserId() {
        return getUser().getId();
    }

    public static String getLoginName() {
        return getUser().getAccount();
    }

    public static String getIp() {
        return getSubjct().getSession().getHost();
    }

    public static String getSessionId() {
        return String.valueOf(getSubjct().getSession().getId());
    }
}
