package com.gxzc.zen.api.sys.model

import com.baomidou.mybatisplus.annotation.TableName
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 角色表
 * </p>
 *
 * @author NorthLan
 * @since 2018-04-28
 */
@TableName("sys_role")
open class SysRole : BaseModel() {
    companion object {
        private const val serialVersionUID = 1000000000000000003L
    }

    /**
     * 父级节点
     */
    var parentId: Long? = null
    /**
     * 角色名称
     */
    var name: String? = null
    /**
     * 路径枚举
     */
    var path: String? = null
    /**
     * 角色代码
     */
    var code: String? = null
    /**
     * 扩展字段1
     */
    var ext1: String? = null
    /**
     * 扩展字段2
     */
    var ext2: String? = null
    /**
     * 扩展字段3
     */
    var ext3: String? = null
    /**
     * 扩展字段4
     */
    var ext4: String? = null
    /**
     * 扩展字段5
     */
    var ext5: String? = null
}
